<div class="product-section">
    <div class="container section-header">
        <h2 class="section-headline">{{ section.settings.title }}</h2>
    </div>
    <div id="product-tabs">
        <ul class="container flex flex-justify-center tabs-items">
            {% for block in section.blocks %}
                <li><a href="#tabs-{{ block.settings.tab_title | handleize }}">{{ block.settings.tab_title }}</a></li>
            {% endfor %}
        </ul>
        {% for block in section.blocks %}
        <div id="tabs-{{ block.settings.tab_title | handleize }}">
            <div class="product-carousel">
                <div class="owl-carousel owl-theme">
                {% assign coll =  collections[block.settings.collection] %}
                    {% assign product_limit = block.settings.limit %}
                    {% for product in coll.products limit: product_limit %}
                    <div class="item">
                        <div class="product-grid">
                             <img src="{{ product.featured_image | img_url: 'large' }}" alt="">
                            <a href="{{ product.url }}" class="content-overlay flex flex-align-end">
                                <h4>{{ product.title }}</h4>

                                <div class="price">
                                    {{ product.price | money }}
                                </div>
                            </a>
                        </div>
                    </div>
                {% endfor %}
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>


{% schema %}
    {
    "name": "Collection Tabs",
    "max_blocks": 4,
    "settings": [
    {
    "type": "textarea",
    "id": "title",
    "label": "Titel"
    }
    ],
    "blocks": [
    {
    "type": "featured_collection",
    "name": "Collection",
    "settings": [
    {
    "type": "text",
    "id": "tab_title",
    "label": "Tab Title"
    },
    {
    "label": "Collection",
    "id": "collection",
    "type": "collection"
    },
    {
    "type": "range",
    "label": "Number of Products",
    "id": "limit",
    "min": 2,
    "max": 25,
    "step": 1,
    "default": 4
    }
    ]
    }
    ],
    "presets": [
    {
    "name": "Collection Tabs",
    "category": "Collection",
    "blocks": [
    {
    "type": "featured_collection"
    },
    {
    "type": "featured_collection"
    },
    {
    "type": "featured_collection"
    }
    ]
    }
    ]
    }
{% endschema %}
